# Generated by Django 4.2.18 on 2025-02-02 15:17

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import juntagrico.entity
import juntagrico.entity.share


class Migration(migrations.Migration):

    replaces = [('juntagrico', '0041_depot_fee_depotsubscriptiontypecondition_and_more'), ('juntagrico', '0042_depot_pickup_duration_depot_pickup_time_and_more'), ('juntagrico', '0043_member_subscriptions_subscription_types_and_more'), ('juntagrico', '0044_alter_subscriptionmembership_unique_together'), ('juntagrico', '0045_job_members'), ('juntagrico', '0046_member_signup_comment')]

    dependencies = [
        ('juntagrico', '0001_squashed_0040_post_1_6'),
    ]

    operations = [
        migrations.AddField(
            model_name='depot',
            name='fee',
            field=models.DecimalField(decimal_places=2, default=0.0, help_text='Aufpreis für Mitglied', max_digits=9, verbose_name='Aufpreis'),
        ),
        migrations.CreateModel(
            name='DepotSubscriptionTypeCondition',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fee', models.DecimalField(decimal_places=2, default=0.0, help_text='Aufpreis für Mitglied', max_digits=9, verbose_name='Aufpreis')),
                ('depot', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subscription_type_conditions', to='juntagrico.depot', verbose_name='Depot')),
                ('subscription_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='depot_conditions', to='juntagrico.subscriptiontype', verbose_name='Abo-Typ')),
            ],
            options={
                'verbose_name': 'Depot-Abo-Typ',
                'verbose_name_plural': 'Depot-Abo-Typen',
            },
            bases=(models.Model, juntagrico.entity.OldHolder),
        ),
        migrations.AddConstraint(
            model_name='depotsubscriptiontypecondition',
            constraint=models.UniqueConstraint(fields=('depot', 'subscription_type'), name='unique_depot_subscription_type'),
        ),
        migrations.AddField(
            model_name='depot',
            name='pickup_duration',
            field=models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0)], verbose_name='Abholzeitfenster in Stunden'),
        ),
        migrations.AddField(
            model_name='depot',
            name='pickup_time',
            field=models.TimeField(blank=True, null=True, verbose_name='Abholzeit'),
        ),
        migrations.AlterField(
            model_name='depot',
            name='weekday',
            field=models.PositiveIntegerField(choices=[(1, 'Montag'), (2, 'Dienstag'), (3, 'Mittwoch'), (4, 'Donnerstag'), (5, 'Freitag'), (6, 'Samstag'), (7, 'Sonntag')], verbose_name='Abholtag'),
        ),
        migrations.AddField(
            model_name='member',
            name='subscriptions',
            field=models.ManyToManyField(related_name='members', through='juntagrico.SubscriptionMembership', to='juntagrico.subscription'),
        ),
        migrations.AddField(
            model_name='subscription',
            name='types',
            field=models.ManyToManyField(related_name='subscriptions', through='juntagrico.SubscriptionPart', to='juntagrico.subscriptiontype'),
        ),
        migrations.AlterField(
            model_name='share',
            name='member',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='juntagrico.member'),
        ),
        migrations.AlterField(
            model_name='share',
            name='value',
            field=models.DecimalField(blank=True, decimal_places=2, default=juntagrico.entity.share.share_value_default, max_digits=8, verbose_name='Wert'),
        ),
        migrations.AlterUniqueTogether(
            name='subscriptionmembership',
            unique_together=set(),
        ),
        migrations.AddField(
            model_name='job',
            name='members',
            field=models.ManyToManyField(related_name='jobs', through='juntagrico.Assignment', to='juntagrico.member'),
        ),
        migrations.AddField(
            model_name='member',
            name='signup_comment',
            field=models.TextField(blank=True, default='', help_text='Kommentar, den das Mitglied bei der Anmeldung hinterlassen hat', verbose_name='Kommentar bei Anmeldung'),
        ),
    ]
